Get Google index coverage tally
curl --request GET \
--url https://api.snowseo.com/v3/url-inspection/index-coverage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/url-inspection/index-coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/url-inspection/index-coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/url-inspection/index-coverage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/url-inspection/index-coverage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/url-inspection/index-coverage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/url-inspection/index-coverage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"indexed": 123,
"notIndexed": 123,
"crawledNotIndexed": 123,
"discoveredNotCrawled": 123,
"pageWithRedirect": 123,
"excludedNoindex": 123,
"alternateCanonical": 123,
"duplicateContent": 123,
"notFound": 123,
"serverError": 123,
"blocked": 123,
"crawlAnomaly": 123,
"error": 123,
"pending": 123,
"lastInspectedAt": "<string>",
"inspectionStatus": "running",
"inspectionProgress": 123,
"inspectedCount": 123,
"inspectionTotal": 123
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Website Analysis
Index Coverage Tally
Counts of inspected URLs per Google indexing verdict from Search Console.
GET
/
v3
/
url-inspection
/
index-coverage
Get Google index coverage tally
curl --request GET \
--url https://api.snowseo.com/v3/url-inspection/index-coverage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snowseo.com/v3/url-inspection/index-coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snowseo.com/v3/url-inspection/index-coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/url-inspection/index-coverage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/url-inspection/index-coverage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snowseo.com/v3/url-inspection/index-coverage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/url-inspection/index-coverage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"indexed": 123,
"notIndexed": 123,
"crawledNotIndexed": 123,
"discoveredNotCrawled": 123,
"pageWithRedirect": 123,
"excludedNoindex": 123,
"alternateCanonical": 123,
"duplicateContent": 123,
"notFound": 123,
"serverError": 123,
"blocked": 123,
"crawlAnomaly": 123,
"error": 123,
"pending": 123,
"lastInspectedAt": "<string>",
"inspectionStatus": "running",
"inspectionProgress": 123,
"inspectedCount": 123,
"inspectionTotal": 123
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Get a site-wide summary of Google indexing verdicts across inspected URLs, including counts of indexed pages, crawled but not indexed, redirects, errors, and current inspection job progress.
Authorizations
bearerAuthapiKey
Your SnowSEO API key (sk_...).
Query Parameters
SnowSEO team ID, as returned by list_teams.
Response
Default Response
Available options:
running, idle Was this page helpful?

